package ink.wgink.interfaces.manager;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ISystemConfigManager
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2021/2/25 19:30
 * @Version: 1.0
 **/
public interface ISystemConfigManager {

    Map<String, String> getConfig();

    Map<String, String> getSystemConfigParams();

    String getSystemConfigParamsValue(String key);

    Map<String, String> getAppConfigParams();

    String getAppConfigParamsValue(String key);

    void refreshConfig();
}
